/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id$  
 */

package com.sun.ts.tests.jaxrs.spec.provider.jaxbcontext;

import javax.ws.rs.ext.ContextResolver;
import javax.ws.rs.ext.Provider;
import javax.xml.bind.JAXBContext;

@Provider
public class JaxbContextProvider implements ContextResolver<JAXBContext> {

	@Override
	public JAXBContext getContext(Class<?> type) {
		JAXBContext ctx = new SomeJaxbContext();
		return ctx;
	}

}
